package cn.chatbot.ticket.controller;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import cn.chatbot.ticket.entity.Sla;
import cn.chatbot.ticket.service.SlaService;

@RestController
public class SlaController {

    @Autowired
    private SlaService slaService;

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    @RequestMapping("list")
    public List<Sla> listAll() {
        return slaService.listAll();
    }


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    @RequestMapping("getById")
    public Sla getById(String id) {
        return slaService.getById(id);
    }    
     
    /**
     * 新增，忽略null字段
     *
     * @param sla 新增的记录
     * @return 返回影响行数
     */
    @RequestMapping("insert")
    public int insert(@RequestBody Sla sla) {
        return slaService.insertIgnoreNull(sla);
    }    
      
    /**
     * 修改，忽略null字段
     *
     * @param sla 修改的记录
     * @return 返回影响行数
     */
    @RequestMapping("update")
    public int update(@RequestBody Sla sla) {
        return slaService.updateIgnoreNull(sla);
    }
    
    /**
     * 删除记录
     *
     * @param sla 待删除的记录
     * @return 返回影响行数
     */
    @RequestMapping("delete")
    public int delete(@RequestBody Sla sla) {
        return slaService.delete(sla);
    }
    
}