package cn.chatbot.ticket.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import cn.chatbot.ticket.entity.Sla;

@Mapper
public interface SlaMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<Sla> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	Sla getById(String id);
	
	/**
     * 新增，插入所有字段
     *
     * @param sla 新增的记录
     * @return 返回影响行数
     */
	int insert(Sla sla);
	
	/**
     * 新增，忽略null字段
     *
     * @param sla 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(Sla sla);
	
	/**
     * 修改，修改所有字段
     *
     * @param sla 修改的记录
     * @return 返回影响行数
     */
	int update(Sla sla);
	
	/**
     * 修改，忽略null字段
     *
     * @param sla 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(Sla sla);
	
	/**
     * 删除记录
     *
     * @param sla 待删除的记录
     * @return 返回影响行数
     */
	int delete(Sla sla);
	
}