package cn.chatbot.ticket.service;

import cn.chatbot.ticket.entity.Sla;
import cn.chatbot.ticket.mapper.SlaMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SlaService {

    @Autowired
    private SlaMapper slaMapper;

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    public List<Sla> listAll() {
    	return slaMapper.listAll();
    }


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    public Sla getById(String id) {
    	return slaMapper.getById(id);
    }
	
    /**
     * 新增，插入所有字段
     *
     * @param sla 新增的记录
     * @return 返回影响行数
     */
    public int insert(Sla sla) {
    	return slaMapper.insert(sla);
    }
	
    /**
     * 新增，忽略null字段
     *
     * @param sla 新增的记录
     * @return 返回影响行数
     */
    public int insertIgnoreNull(Sla sla) {
    	return slaMapper.insertIgnoreNull(sla);
    }
	
    /**
     * 修改，修改所有字段
     *
     * @param sla 修改的记录
     * @return 返回影响行数
     */
    public int update(Sla sla) {
    	return slaMapper.update(sla);
    }
	
    /**
     * 修改，忽略null字段
     *
     * @param sla 修改的记录
     * @return 返回影响行数
     */
    public int updateIgnoreNull(Sla sla) {
    	return slaMapper.updateIgnoreNull(sla);
    }
	
    /**
     * 删除记录
     *
     * @param sla 待删除的记录
     * @return 返回影响行数
     */
    public int delete(Sla sla) {
    	return slaMapper.delete(sla);
    }
	
}